.hero-wrapper {
    width: 100svw;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.hero-wrapper video {
    width: 100%;
    object-fit: cover;
}

#hero {
    max-height: 700px;
}

#hero-mobile {
    object-fit: cover;
    max-height: 100svh;
    display: none;
}

.link-wrapper {
    width: 100svw;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
}

.link-wrapper ul {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.link {
    position: relative;
    height: 340px;
    padding: 15px;
    box-sizing: border-box;
    background-color: black;

    display: flex;
    flex-direction: column;
    gap: 5px;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.link-bg {
    z-index: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(.35);
    transition: var(--apple-animation);
}

.link span,
.link-svg {
    z-index: 1;
    color: white;
    aspect-ratio: 1/1;
    width: 50px;
    font-size: 50px;
    transition: var(--apple-animation);
}

.link h1 {
    z-index: 1;
    text-align: center;
    font-size: var(--fontsize-18);
    color: white;
}

.link p {
    z-index: 1;
    opacity: .8;
    font-weight: 500;
    text-align: center;
    font-size: var(--fontsize-14);
    color: white;
}

.link:hover .link-svg,
.link:hover span,
.link:hover .link-bg {
    transform: scale(1.15);
    transition: var(--apple-animation);
}

.socials-wrapper {
    margin: 0 auto;
    box-sizing: border-box;
    padding: 100px 50px;
    width: 90vw;
    overflow: hidden;
    display: flex;
    flex-direction: column;
}

.socialList {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}

.socialList li {
    min-width: 200px;
    flex: 1;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    position: relative;
    height: 70svh;
    max-width: 400px;
    transition: var(--apple-animation);
}

.socialList li a video {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.socialList li:hover {
    flex-grow: 2;
    transition: var(--apple-animation);
}

.socialList li a i {
    position: absolute;
    top: 20px;
    right: 10px;
    font-size: 30px;
    color: white;
}

.contact-wrapper {
    position: relative;
    padding: 50px 0;
    width: 100vw;
    overflow: hidden;
    background-color: var(--primary);
}

.contact-wrapper::before {
    opacity: .2;
    content: '';
    z-index: 0;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url('../assets/image/kk12.png');
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    filter: brightness(.5);
}

.contact {
    position: relative;
    z-index: 2;
    margin: 0 auto;
    box-sizing: border-box;
    width: 90vw;
    display: flex;
    flex-direction: row;
    align-items: start;
    justify-content: center;
    gap: 60px;
    color: white;
}

.contact-address {
    max-width: 350px;
    width: 30%;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contact-address p {
    font-size: var(--fontsize-16);
    font-weight: 500;
    line-height: 1.8;
    letter-spacing: 2%;
}

.contact-info {
    width: fit-content;
    display: flex;
    gap: 40px;
    flex-direction: row;
    flex-wrap: wrap;
}

.contact-details {
    max-width: 500px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.contact-details h2 {
    font-size: var(--fontsize-20);
    line-height: 1.1;
    color: yellow;
    font-weight: 600;
}

.contact-details p {
    font-weight: 500;
    padding-bottom: 20px;
    font-size: var(--fontsize-16);
    color: white;
}

.contact-img {
    width: 100%;
    margin: auto 0;
    max-width: 400px;
    height: auto;
}